'
' Example script for 2BrightSparks SyncBackPro V8 that uses NTFS
' encryption on the copy of a file.
'
' SBLang=Basic
'
' http://www.2BrightSparks.com/
'

'
' This is a runtime script 
'
Function Description(ByRef ScriptType)
  Description = "NTFS encrypts copies of a file"
  ScriptType = SCRIPTTYPE_RUN
End Function

'
' This function encrypts the copy of a file.
'
' Note this function is not called if it is a simulation.
'
Sub RunAfterCopyFile(ToLeft, Filename, Failed)
  ' If the copy failed then dont even try
  If Failed then
    SBRunning.DebugOut(Filename, "Failed", 1)
    Exit Sub
  End If

  ' Get the full filename
  If ToLeft then
    FullName = SBRunning.LeftFolder & Filename
  Else
    FullName = SBRunning.RightFolder & Filename
  End If

  ' Encrypt it
  ErrorMsg = SBSystem.EncryptFile(FullName)
  if ErrorMsg <> "" then
    SBRunning.NotCriticalError(Filename, "Could not encrypt: " & ErrorMsg)
  End If
End Sub
